=== modified file 'userdb/users.sql'
--- userdb/users.sql	2007-12-11 03:26:29 +0000
+++ userdb/users.sql	2008-01-24 03:29:44 +0000
@@ -9,13 +9,15 @@
 
 CREATE TABLE users (
     login       varchar(80) PRIMARY KEY,    -- login id
-    nick        varchar(80)
+    nick        varchar(80),
+    fullname    varchar(80),
+    studentid   varchar(80) or NULL  ****
 );
 
 CREATE TABLE groups (
-    groupid     varchar(18) PRIMARY KEY,    -- group name Y^4-S^9-G^3
+    groupid     varchar(18) PRIMARY KEY,    -- group name Y^4-S^9-G^3    **** use offering-id + group number (compound key)
     nick        varchar(80),                -- group nickname
-    subject     varchar(9),                 -- subject code
+    subject     varchar(9),                 -- subject code         **** use "offerings" table from CASMAS
     year        varchar(4)                  -- when
 );
 
@@ -27,6 +29,8 @@
 CREATE TABLE enrolment (
     login       varchar(80) REFERENCES users (login),
     subject     varchar(9),
+    result
+    supp_result
     year        varchar(4)
 );
 
@@ -35,6 +39,93 @@
     role        varchar(8)
 );
 
+CREATE TABLE project (
+    projectid
+    synopsis
+    url
+    subject
+    deadline
+);
+
+CREATE TABLE extension (
+    login or groupid
+    projectid
+    deadline
+    approver
+    comment
+);
+
+CREATE TABLE mark (
+    login or groupid
+    projectid
+    componentid
+    marker
+    mark
+    timestamp
+    feedback
+    comment
+    KEY: (login/groupid, projectid, componentid)
+);
+
+################
+
+CREATE TABLE problem (
+    problemid
+    specification
+    test (xml)
+);
+
+CREATE TABLE problem_tags (
+    problemid
+    tag
+    added_by
+    timestamp
+);
+
+CREATE TABLE problem_attempt (
+    problemid
+    login
+    datetime
+    submission
+    complete (boolean)
+    KEY: (problemid, login, datetime)
+);
+
+CREATE INDEX indexname ON problem_attempt (problemid, login);
+
+CREATE TABLE problem_attempt_breakdown (
+    problemid
+    testcaseid
+    login
+    datetime
+    result (boolean)    **** doesnt tell academic which concepts students are struggling with
+);
+
+CREATE TABLE problem_test_case (
+    problemid
+    testcaseid
+    testcase (sourced from xml)
+    description
+    visibility
+    tags (xref to tag table; break out)
+);
+
+# concept, curriculum, difficulty
+CREATE TABLE tag (
+    tag
+    documentation
+    added_by
+    timestamp
+);
+
+# for multipart problems
+CREATE TABLE prerequisite_problem (
+    parent_problemid
+    child_problemid
+);
+
+
+
 INSERT INTO users (login,nick) values ('conway', 'Tom');
 INSERT INTO roles (login,role) values ('conway', 'student');
 INSERT INTO users (login,nick) values ('apeel', 'Andrew');

